package com.ffii.fpsms.modules.stock.entity

import com.ffii.core.support.AbstractRepository
import com.ffii.fpsms.modules.stock.entity.projection.QrCodeInfo
import com.ffii.fpsms.modules.stock.entity.projection.StockInLineInfo
import org.springframework.stereotype.Repository

@Repository
interface StockInLineRepository : AbstractRepository<StockInLine, Long> {
    fun findAllByStockInIdAndDeletedFalse(stockInId: Long): List<StockInLine>
    fun findAllStockInLineInfoByStockInIdAndDeletedFalse(stockInId: Long): List<StockInLineInfo>
    fun findStockInLineInfoByIdAndDeletedFalse(id: Long): StockInLineInfo
    fun findStockInLineInfoByIdInAndDeletedFalse(id: List<Long>): List<StockInLineInfo>
}